Figure - Bug #111770
Bug # 111192 (CLOSED): O Figured 0 EVT30 O EEC O 0O 0O O O 10 60 O O Performanced

geni_i2c driver_ init0D 000 O0O000ODO0DO6.6s0000003s0 00OMAX975XO eyttsp7C O 0 00O
2022-09-06 18:19 - CD SYSTEM-00 0 00

Status: CLOSED Start date: 2022-09-06
Priority: Normal Due date:

Assignee: gbooboo_cepTsbod % Done: 0%
Category: BSP Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: - Found Version: every version
Resolution: - Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

1 MAX975X0 O O msleep 500ms0 O O O O
2cyttsp7/ 0000000000 OCO0ODOOCOODOO0OI2Cerrord OdelaysoomsO0 DO 00000

History

#1-2022-09-1411:17-CD TPM-0 0 O
- Category set to BSP

#2 - 2022-09-21 12:18 - CD BSP-0O0 O

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-[1 (J to CD SYSTEM-[ [0 O

goooOoooOooooooooooooo

Patch:
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/145461

#3 - 2022-09-21 14:44 - CDSYSTEM-O O O
- Status changed from RESOLVED to ASSIGNED
- Assignee changed from CD SYSTEM-0O O O to CD BSP-O O

ottsp70 000000000
Line 943: [ 2.352760] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123
Line 943:[ 2.352760] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123
Line 944: [ 2.444035] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0
Line 944: [ 2.444035] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0 * [J 430ms*
Line 945: [ 2.875842] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test data : SCANNING is ENABLED codel=1E
Line 945: [ 2.875842] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test data_: SCANNING is ENABLED codel=1E
Line 946: [ 2.883055] cyttsp7_i2c_adapter 0-0024: TTSP Protocol Version is 3.2
Line 947: [ 2.926405] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...
Line 947: [ 2.926405] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...
Line 947: [ 2.926405] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...
Line 948: [ 2.948243] input: cyttsp7_mt as /devices/platform/soc/980000.i2c/i2c-0/0-0024/input/input2
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/145461

Line 949: [ 2.948266] cyttsp7_i2c_adapter 0-0024: cyttsp7_wakeup: WAKEUP CYTTSP gpio=1107 r=0

Line 949: [ 2.948266] cyttsp7_i2c_adapter 0-0024: cyttsp7_wakeup: WAKEUP CYTTSP gpio=1107r=0  * (J 500ms*

Line 952: [ 3.456209] cyttsp7_i2c_adapter 0-0024: cyttsp7_awake_device_from_deep_sleep: Queueing startup

Line 952: [ 3.456209] cyttsp7_i2c_adapter 0-0024: _cyttsp7_awake_device_from_deep_sleep: Queueing startup

Line 953: [ 3.456221] cyttsp7_i2c_adapter 0-0024: _cyttsp7_queue_startup: cyttsp7_startup queued

Line 953: [ 3.456221] cyttsp7_i2c_adapter 0-0024: _cyttsp7_queue_startup: cyttsp7_startup queued

Line 953: [ 3.456221] cyttsp7_i2c_adapter 0-0024: _cyttsp7_queue_startup: cyttsp7_startup queued

Line 954: [ 3.548046] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

Line 954: [ 3.548046] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

[J 430ms

Line 955: [ 3.980065] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test data: SCANNING is ENABLED codel=1E

Line 955: [ 3.980065] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test data_: SCANNING is ENABLED codel=1E

Line 956: [ 3.987245] cyttsp7_i2c_adapter 0-0024: TTSP Protocol Version is 3.2

Line 957: [ 4.030648] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...

Line 957: [ 4.030648] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...

Line 957: [ 4.030648] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...
TPOOO0ODOOOO0OOO013s00000

#4 - 2022-09-21 14:45- CD SYSTEM-O O O

- File d0918.txt added

#5-2022-09-2711:13-0 0000 0 -RD3_CDTSO O
- Target version set to VX1_MCE_FSE_V3.0_20221030

#6 - 2022-10-19 10:17 - CD BSP-0O0 O

- Assignee changed from CD BSP-[1 O to CD SYSTEM-[ 00 O

gooogo

0o0o:
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/154363

ooo
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssil2-dev/20221018/202210181821-1785/FlatBuild VX1 MCE_ xx.xx_FSE.V.userdeb
ug.0.0.0.20221018.alpha.zip

#7-2022-10-1914:19- CDSYSTEM-O O O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD SYSTEM-O O O to CDTS_TEST O O

oooooooooooooon

#8 - 2022-10-19 14:21 - CDTS_TEST O O
- Assignee changed from CDTS_TEST O O to SZTS_TEST O O

#9 - 2022-10-19 20:48 - SZTS_TEST O O

- File Snipaste_2022-10-19 _20-47-26.png added
- File Serial-COM78_20221019203929.log added
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/154363
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221018/202210181821-1785/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20221018.alpha.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221018/202210181821-1785/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20221018.alpha.zip

ooo

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre figure turbox-c2130c-lal.1-gssil2-dev/20221018/202210181821-1785/FlatBuild VX1 MCE xx.xx_FSE.V.userdeb
ug.0.0.0.20221018.alpha.zip

ev0 00000000000 OOOOOOO

#10 - 2022-10-19 20:56 - SZTS_TEST O O

- File Snipaste_2022-10-19_20-47-26.png added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from SZTS_TEST O [0 to CD SYSTEM-O 0 O

ooo

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre figure turbox-c2130c-lal.1-qgssil2-dev/20221018/202210181821-1785/FlatBuild VX1 MCE xx.xx_FSE.V.userdeb
ug.0.0.0.20221018.alpha.zip

ev20 00 000000000000 OO000O0OOOad

#11 - 2022-10-19 20:56 - SZTS_TEST O O
- Assignee changed from CD SYSTEM-0O O O to CD BSP-O O

#12 - 2022-10-21 16:06 - CD BSP-0 O
- Status changed from VERIFY_FAILED to ASSIGNED

0000000000000 00O0OtouchO
0 O bootloader) O O sysinfod O 0O 0 0O O wait_event_timeout

kernel/msm-4.19/drivers/input/touchscreen/cyttsp7/cyttsp7_core.c

LINED 3529 cyttsp7_wait_sysinfo_mode

1000wait0 000000000

20000 Idr_fast_exitd O O 0O O

16.947254] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123
17.143722] cyttsp7_i2c_adapter 0-0024: exit_bootloader: Issuing Idr_fast_exit

17.580487] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test_data: SCANNING is ENABLED codel=1E
17.598117] cyttsp7_i2c_adapter 0-0024: TTSP Protocol Version is 3.2

17.657649] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...

17.691183] input: cyttsp7_mt as /devices/platform/soc/980000.i2¢c/i2¢-0/0-0024/input/input2
17.700006] cyttsp7_i2c_adapter 0-0024: cyttsp7_wakeup: WAKEUP CYTTSP gpio=1107 r=0
17.708988] i2c_geni 980000.i2c: i2c error :-107

18.240824] i2c_geni 980000.i2c: i2c error :-107

18.245705] cyttsp7_i2c_adapter 0-0024: cyttsp7_awake_device_from_deep_sleep: Queueing startup
18.255092] cyttsp7_i2c_adapter 0-0024: _cyttsp7_queue_startup: cyttsp7_startup queued

18.352254] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

18.361560] cyttsp7_i2c_adapter 0-0024: _exit_bootloader: Issuing Idr_fast_exit

18.798692] cyttsp7_i2c_adapter 0-0024: cyttsp7_si_get_test data: SCANNING is ENABLED codel=1E
18.816423] cyttsp7_i2c_adapter 0-0024: TTSP Protocol Version is 3.2

18.875975] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=0...

— /M M/ /M /A @ @ / /@ @ =/ /@ /@ =/ /= ™=@
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221018/202210181821-1785/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20221018.alpha.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221018/202210181821-1785/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20221018.alpha.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221018/202210181821-1785/FlatBuild_VX1_MCE_xx.xx_FSE.V.userdebug.0.0.0.20221018.alpha.zip

gooooooooooooooo

#13 - 2022-10-21 17:51 - CD BSP-0 O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD BSP-00 O to CD SYSTEM-O O O

#14 - 2022-10-21 17:52 - CD BSP-00 O

gooOooooOooooooooooooo

#15 - 2022-10-25 10:16 - CD SYSTEM-O O O
- Assignee changed from CD SYSTEM-00 O 0 to CDTS_TEST O O

ooo
IMAX975X0 00000000
2oyttsp70 000000000
3000000000000000000000

00000000o000s3oo
http://10.0.76.24:8080/job/VerifyBuild_for 10T_6490/1918/
gboooooooooooooooooo

#16 - 2022-10-28 10:17 - CDTS_TEST O O
- Assignee changed from CDTS_TESTO O to0 00000 _CDTSO O

#17-2022-10-2816:27-0 00 000 _CDTSO DO

- Status changed from RESOLVED to VERIFIED

goooo

0 0 0 0 01.00.X101_20221028_private_user

IMAX9/SXO O OO ooooo

2cytsp70 000000000

3000db0doOobooooooooooooo
||DDDDDDDDDDDDDDD

Ooo0043036emsO0O000
oo004079msO0000

#18-2022-10-2816:46-0 0 0 000 _CDTSO O
- Status changed from VERIFIED to CLOSED

Files
d0918.txt 257 KB 2022-09-21 CDSYSTEM-O O O
Snipaste_2022-10-19_20-47-26.png 31.5KB 2022-10-19 SZTS TESTO O
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/1918/

Serial-COM78_20221019203929.1og 217KB 2022-10-19 SZTS_TESTO O
Snipaste_2022-10-19_20-47-26.png 31.5KB 2022-10-19 SZTS_TESTO O
